path: /build/build/bind-tools-net-dns-9.21.15+1.package.tar.zst
dependencies: []
compilespec:
  steps: []
  env:
  - JOBS=3
  - LUET_PORTAGE_CACHE_PACKAGES="/var/cache/portage/packages"
  - LUET_PORTAGE_IGNORE_TAR_WARNING=1
  - LUET_PORTAGE_PKGMETA=1
  - LUET_PORTAGE_PKGFILES=1
  - FEATURES="-sandbox -usersandbox -ipc-sandbox -pid-sandbox -network-sandbox"
  prelude:
  - sed '/meson_feature caps/d' -i /var/git/meta-repo/kits/net-kit/net-dns/bind-tools/bind-tools-9.21.15.ebuild
  - |
    eval 'mkdir -p /var/cache/portage/distfiles || true' && \
    chown portage:portage -R /var/cache/portage/ && \
    USE="-gssapi -idn -libedit readline xml" emerge net-dns/bind-tools -pv -t
  - |
    USE="-gssapi -idn -libedit readline xml" emerge -j ${JOBS} --nodeps net-dns/bind-tools
  - eval 'rm -rf /pkgdir/ || true' && mkdir -p /pkgdir/bind-tools && luet-portage
    --dir /pkgdir/bind-tools net-dns/bind-tools
  - rm -v /var/cache/distfiles/* ${LUET_PORTAGE_CACHE_PACKAGES}/* || true
  image: ""
  seed: docker-registry1.mottainai.local:5000/anise-macaroni-terragon-dev-tree:6068c263c499e824f21bffe4f4665cab32c65ea17157fe8c3bb882853ce7d3d1
  package:
    name: bind-tools
    version: 9.21.15+1
    category: net-dns
    use_flags:
    - -gssapi
    - -idn
    - -libedit
    - readline
    - xml
    requires:
    - name: macaroni-funtoo-race7
      version: '>=0'
      category: seed
    annotations:
      subsets:
        rules:
          devel:
          - ^/usr/include/
          portage:
          - ^/var/db/pkg/
    description: 'bind tools: dig, nslookup, host, nsupdate, dnssec-keygen'
    uri:
    - https://www.isc.org/software/bind
    license: Apache-2.0 BSD BSD-2 GPL-2 HPND ISC MPL-2.0
    buildtimestamp: 2025-12-20 16:39:08.913719987 +0000 UTC m=+194.674739478
    labels:
      BDEPEND: virtual/pkgconfig >=dev-util/meson-0.48.2 >=dev-util/ninja-1.7.2
      DEPEND: dev-libs/libuv:= dev-libs/openssl dev-libs/userspace-rcu sys-libs/libcap
        xml? ( dev-libs/libxml2 ) idn? ( net-dns/libidn2:= ) gssapi? ( virtual/krb5
        ) libedit? ( dev-libs/libedit ) !libedit? ( readline? ( sys-libs/readline:=
        ) )
      IUSE: caps gssapi idn ipv6 libedit readline xml
      RDEPEND: dev-libs/libuv:= dev-libs/openssl dev-libs/userspace-rcu sys-libs/libcap
        xml? ( dev-libs/libxml2 ) idn? ( net-dns/libidn2:= ) gssapi? ( virtual/krb5
        ) libedit? ( dev-libs/libedit ) !libedit? ( readline? ( sys-libs/readline:=
        ) ) !<=net-dns/bind-9.18.1-r2
      emerge.packages: net-dns/bind-tools
      kit: net-kit
      original.package.name: net-dns/bind-tools
      original.package.slot: "0"
      original.package.version: 9.21.15
    treedir: /build/packages
  package_dir: /pkgdir/bind-tools
  retrieve: []
  unpack: false
  includes: []
  excludes:
  - ^/var/cache/portage/
  - ^/var/git/
  build_options:
    pushimagerepository: docker-registry1.mottainai.local:5000/anise-macaroni-terragon-dev-tree
    pullimagerepository:
    - luet/cache
    pullfirst: false
    keepimg: false
    push: false
    concurrency: 0
    compressiontype: ""
    wait: false
    onlydeps: false
    nodeps: false
    solveroptions: {}
    buildvaluesfile: []
    buildvalues:
    - arch: amd64
      commons-repo: macaroni-commons-dev
    packagetargetonly: false
    rebuild: false
    backendargs: []
    backendtype: ""
    templatesfolder: []
  copy: []
  requires_final_images: false
checksums:
  sha256: e08e66825a15dceac5db7d1cd0761b5b42247af556ce6c98501f570b0ffdf8b5
compressiontype: zstd
files:
- usr/bin/delv
- usr/bin/dig
- usr/bin/dnssec-cds
- usr/bin/dnssec-dsfromkey
- usr/bin/dnssec-importkey
- usr/bin/dnssec-keyfromlabel
- usr/bin/dnssec-keygen
- usr/bin/dnssec-ksr
- usr/bin/dnssec-revoke
- usr/bin/dnssec-settime
- usr/bin/dnssec-signzone
- usr/bin/dnssec-verify
- usr/bin/host
- usr/bin/mdig
- usr/bin/nslookup
- usr/bin/nsupdate
- usr/lib64/bind/filter-a.so
- usr/lib64/bind/filter-aaaa.so
- usr/lib64/bind/synthrecord.so
- usr/lib64/libdns-9.21.15.so
- usr/lib64/libisc-9.21.15.so
- usr/lib64/libisccc-9.21.15.so
- usr/lib64/libisccfg-9.21.15.so
- usr/lib64/libns-9.21.15.so
- usr/share/doc/bind-tools-9.21.15/AUTHORS.bz2
- usr/share/doc/bind-tools-9.21.15/README.md.bz2
- var/db/pkg/net-dns/bind-tools-9.21.15/BDEPEND
- var/db/pkg/net-dns/bind-tools-9.21.15/BUILD_TIME
- var/db/pkg/net-dns/bind-tools-9.21.15/CATEGORY
- var/db/pkg/net-dns/bind-tools-9.21.15/CBUILD
- var/db/pkg/net-dns/bind-tools-9.21.15/CFLAGS
- var/db/pkg/net-dns/bind-tools-9.21.15/CHOST
- var/db/pkg/net-dns/bind-tools-9.21.15/CONTENTS
- var/db/pkg/net-dns/bind-tools-9.21.15/COUNTER
- var/db/pkg/net-dns/bind-tools-9.21.15/CTARGET
- var/db/pkg/net-dns/bind-tools-9.21.15/CXX
- var/db/pkg/net-dns/bind-tools-9.21.15/CXXFLAGS
- var/db/pkg/net-dns/bind-tools-9.21.15/DEFINED_PHASES
- var/db/pkg/net-dns/bind-tools-9.21.15/DEPEND
- var/db/pkg/net-dns/bind-tools-9.21.15/DESCRIPTION
- var/db/pkg/net-dns/bind-tools-9.21.15/EAPI
- var/db/pkg/net-dns/bind-tools-9.21.15/FEATURES
- var/db/pkg/net-dns/bind-tools-9.21.15/HOMEPAGE
- var/db/pkg/net-dns/bind-tools-9.21.15/INHERITED
- var/db/pkg/net-dns/bind-tools-9.21.15/IUSE
- var/db/pkg/net-dns/bind-tools-9.21.15/IUSE_EFFECTIVE
- var/db/pkg/net-dns/bind-tools-9.21.15/KEYWORDS
- var/db/pkg/net-dns/bind-tools-9.21.15/LDFLAGS
- var/db/pkg/net-dns/bind-tools-9.21.15/LICENSE
- var/db/pkg/net-dns/bind-tools-9.21.15/NEEDED
- var/db/pkg/net-dns/bind-tools-9.21.15/NEEDED.ELF.2
- var/db/pkg/net-dns/bind-tools-9.21.15/PF
- var/db/pkg/net-dns/bind-tools-9.21.15/PROVIDES
- var/db/pkg/net-dns/bind-tools-9.21.15/RDEPEND
- var/db/pkg/net-dns/bind-tools-9.21.15/REQUIRES
- var/db/pkg/net-dns/bind-tools-9.21.15/SIZE
- var/db/pkg/net-dns/bind-tools-9.21.15/SLOT
- var/db/pkg/net-dns/bind-tools-9.21.15/USE
- var/db/pkg/net-dns/bind-tools-9.21.15/bind-tools-9.21.15.ebuild
- var/db/pkg/net-dns/bind-tools-9.21.15/environment.bz2
- var/db/pkg/net-dns/bind-tools-9.21.15/repository
package_cacheimage: ""
runtime:
  name: bind-tools
  version: 9.21.15+1
  category: net-dns
  use_flags:
  - -gssapi
  - -idn
  - -libedit
  - readline
  - xml
  requires:
  - name: libuv
    version: '>=0'
    category: dev-libs
  - name: libxml2
    version: '>=0'
    category: dev-libs-2
  - name: openssl
    version: '>=0'
    category: dev-libs
  - name: userspace-rcu
    version: '>=0'
    category: dev-libs
  - name: libcap
    version: '>=0'
    category: sys-libs
  - name: jemalloc
    version: '>=0'
    category: dev-libs
  annotations:
    subsets:
      rules:
        devel:
        - ^/usr/include/
        portage:
        - ^/var/db/pkg/
  description: 'bind tools: dig, nslookup, host, nsupdate, dnssec-keygen'
  uri:
  - https://www.isc.org/software/bind
  license: Apache-2.0 BSD BSD-2 GPL-2 HPND ISC MPL-2.0
  labels:
    BDEPEND: virtual/pkgconfig >=dev-util/meson-0.48.2 >=dev-util/ninja-1.7.2
    DEPEND: dev-libs/libuv:= dev-libs/openssl dev-libs/userspace-rcu sys-libs/libcap
      xml? ( dev-libs/libxml2 ) idn? ( net-dns/libidn2:= ) gssapi? ( virtual/krb5
      ) libedit? ( dev-libs/libedit ) !libedit? ( readline? ( sys-libs/readline:=
      ) )
    IUSE: caps gssapi idn ipv6 libedit readline xml
    RDEPEND: dev-libs/libuv:= dev-libs/openssl dev-libs/userspace-rcu sys-libs/libcap
      xml? ( dev-libs/libxml2 ) idn? ( net-dns/libidn2:= ) gssapi? ( virtual/krb5
      ) libedit? ( dev-libs/libedit ) !libedit? ( readline? ( sys-libs/readline:=
      ) ) !<=net-dns/bind-9.18.1-r2
    emerge.packages: net-dns/bind-tools
    kit: net-kit
    original.package.name: net-dns/bind-tools
    original.package.slot: "0"
    original.package.version: 9.21.15
